<?php
/**
 *
 * @author：llbjj
 * @DateTime：2022/5/7 21:19
 * @Description：
 *
 */

namespace Application\Service;

use Application\Common\Container;
use Interop\Container\ContainerInterface;

class BaseService
{
    protected $container;
    public function __construct(ContainerInterface $container)
    {
        $this->container = $container;
    }

    public function LocalService(){
        return new Container($this->container);
    }
}